Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 394 - kernel compilation yields wrong kernel ID
Summary: kernel compilation yields wrong kernel ID
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-12-11 22:59 UTC by djaeger
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1998-12-13 23:02:25 UTC


Attachments (Terms of Use)

Description djaeger 1998-12-11 22:59:28 UTC
I need to recompile my kernel since I have dual processor
machines. (Frankly, I think this should be supported without
recompilation by now).

I made a new installation of RedHat 5.2 and added the
kernel source and kernel header patches version 2.0.36-1.

I ran xconfig and edit the Makefile to enable SMP. After
compilation (including modules and modules_install) and
updating lilo my computer now boots as RedHat 5.2
kernel revision 2.0.0 instead of 2.0.36 (as before). Since
the modules get installed as 2.0.36 no modules are
available.

Fix:  I need help on this one. Thanks.

Comment 1 David Lawrence 1998-12-13 23:02:59 UTC
We are considering for upcoming releases the possibility of shipping
an additional kernel enable for SMP support but no decision has been
made as of yet. With the upcoming release of 2.2 kernel this should be
an easier process.


Note You need to log in before you can comment on or make changes to this bug.